{{ 'component-image-with-text.css' | asset_url | stylesheet_tag }}

{%- style -%}
      #{{ section.id}} {
      background-color: {{ section.settings.bg_color }};
      padding-top: {{ section.settings.padding_top}}px;
      padding-bottom: {{ section.settings.padding_bottom}}px;
      margin-top: {{ section.settings.margin_top}}px;
      margin-bottom: {{ section.settings.margin_bottom}}px;
      }

    .site-footer-logo svg{
      max-width: 150px;
    }
    .site-footer-logo path:not(:first-child){
      fill: white;
    }
    .add-acc{
      border: 1px solid #fff;
      border-radius: 30px;
      display: flex;
      align-items: center;
      opacity: 1!important;
      padding: 5px 12px;
      width: fit-content;
      color: #fff;
      transition:all .2s;
    }
    a.add-acc:hover {
      color: #02825c;
      transition:all .2s;
    }
    a.add-acc:hover svg{
      fill: #02825c;
      transition:all .2s;
    }
    a.add-acc svg{
      margin-right: 5px
    }
    .footer-button svg{
      width: 40px;
      height: 40px
    }
    .content-wrap{
      justify-content: space-between;
      gap:20px
    }
    .downloads{

    }
    .foot-link-list a{
      font-weight: 900;
      font-size: 17px;
      color: white;
      text-decoration:underline;
    }
    a.social-item {
      max-width: 25px;
      display: flex;
    }
    .social-item path{
      fill: white;
    }
    .social-item:hover path{
      fill: #02825c;
    }
    .social-item svg{
      width: 25px;
      height: auto;
    }
    .relative-row{
      display: grid;
      grid-template-rows: auto auto auto 1fr;
    }
    .relative-row > .d-flex{
      gap:10px;
      margin-bottom:20px;
      align-items: center
    }
    
    .social-wrapper a{
      margin: 10px;
    }
    .copyright-wrapper{
      flex:1;
      display: flex;
      align-items: flex-end;
      justify-content:flex-end;
    }
    .copyright-wrapper h4{
      color:white;
      font-weight: 600;
      font-size: 14px;
      min-width: 245px;
    }
    #{{ section.id}} h3.accordion-button, #{{ section.id}} .download-button {
      color: #3cf084;
      font-size: 36px!important;
      line-height: 40px;
      font-weight: 300;
      font-family: FinancierDisplay;
      padding: 10px 0!important;
      text-align: left;
      border-bottom: none;
    }
    #{{ section.id}} .accordion-content{
      display: block;
    }
    #{{ section.id}} .accordion-button i{
      transform: translateY(-50%) rotate(-90deg);
      transition: all .3s;
    }
    #{{ section.id}} .accordion-button.is-open i{
      transform: translateY(-50%);
      transition: all .3s;
    }
    #{{ section.id}} .accordion-button path{
      fill:#3cf084;
    }
    #{{ section.id}} .accordion-button svg{
      width: 15px

    }
    .social-wrapper{
      justify-content: flex-end;
    }
    #{{ section.id}} .accordion-content{
      padding: 0px;
      padding-bottom:10px;
      border:none;
    }

  @media screen and (max-width: 1000px){
    #{{ section.id }} .accor-item-wrap{
      border-bottom:1px solid lightgray
    }
    #{{ section.id}} .accordion-content{
      display: none;
    }
    .content-wrap{
      flex-direction:column ;
      gap:0px
    }
    .downloads{
      justify-content: flex-start !important;
      margin-top:10px;
      gap:10px
    }
    .footer-button{
      justify-content:center !important
    }
    .copyright-wrapper{
      justify-content: center !important;
    }
    .site-footer-logo{
      text-align:center
    }
  }
  @media (max-width: 567px){
    .social-wrapper{
      justify-content: center;
    }

  }
{%- endstyle -%}

<section id="{{ section.id}}">
  <div class="container ">
    <div class="content-wrap d-flex">
      {% for block in section.blocks %}
        {% if block.type == 'logo' %}
          <div class="site-footer-logo">
            {% if block.settings.logo_img != blank %}
              <a href="{{ routes.root_url }}"><img src="{{ block.settings.logo_img }}" alt=""></a>
            {% elsif block.settings.logo_icon != blank %}
              <a href="{{ routes.root_url }}">{{ block.settings.logo_icon }}</a>
            {% endif %}
          </div>
        {% endif %}
        {% if block.type == 'links_group' %}
          <div class="accor-item-wrap">
            <h3 class="accordion-button hide-tablet">
              {{ block.settings.links_group_title }}
              <i class="arrow">
                <svg width="24" height="11" viewBox="0 0 24 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M12.001 8.92287L2.83697 0H0.000976562L11.2844 11H12.7175L24.001 0H21.165L12.001 8.92287Z" fill="#02825C"></path>
                </svg>
              </i>
            </h3>
            <div class="accordion-content foot-link-list">
              <ul>
                {% for link in block.settings.menu.links %}
                  <li>
                    <a href="{{ link.url }}">{{ link.title }}</a>
                  </li>
                {% endfor %}
              </ul>
            </div>
          </div>
        {% endif %}
      {% endfor %}
      <div class="relative-row">
        {% for block in section.blocks %}
          {% if block.type == 'downloads' %}
            <h3 class="download-button hide-tablet">
              {{ block.settings.download_title }}
            </h3>
            <div class="downloads d-flex justify-content-end">
              {% if block.settings.download_btn1 != blank %}
                <div class="download-item ">
                  <a href="{{ block.settings.download_btn1 }}">{{ block.settings.down_icon }}</a>
                </div>
              {% endif %}
              {% if block.settings.download_btn_2 != blank %}
                <div class="download-item">
                  <a href="{{ block.settings.download_btn_2 }}">{{ block.settings.download_icon_2 }}</a>
                </div>
              {% endif %}
            </div>
          {% endif %}
          {% if block.type == 'footer_buttons' %}
            <div class="footer-button d-flex justify-content-end">
              {% if block.settings.button_url_1 != blank %}
                <a class="add-acc" href="{{ block.settings.button_url_1 }}">
                  {{- block.settings.button_icon_1 -}}
                  {{- block.settings.button_text_1 -}}
                </a>
              {% endif %}
              {% if block.settings.button_url_2 != blank %}
                <a class="add-osano d-flex align-item-center" href="{{ block.settings.button_url_2 }}">
                  {{- block.settings.button_icon_2 -}}
                  {{- block.settings.button_text_2 -}}
                </a>
              {% endif %}
            </div>
          {% endif %}
          {% if block.type == 'social' %}
            <div class="social-wrapper d-flex">
              <a href="{{ block.settings.social-url-1 }}" class="social-item">{{ block.settings['social-1'] }}</a>
              <a href="{{ block.settings.social-url-2 }}" class="social-item">{{ block.settings['social-2'] }}</a>
              <a href="{{ block.settings.social-url-3 }}" class="social-item">{{ block.settings['social-3'] }}</a>
              <a href="{{ block.settings.social-url-4 }}" class="social-item">{{ block.settings['social-4'] }}</a>
            </div>
          {% endif %}
          {% if block.type == 'copyright' %}
            <div class="copyright-wrapper">
              <h4>{{ block.settings.copyright_text }}</h4>
            </div>
          {% endif %}
        {% endfor %}
      </div>
    </div>
  </div>
</section>

{% schema %}
{
  "name": "Content IconText Blocks",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "header",
      "content": "Margin"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "logo",
      "name": "Logo",
      "settings": [
        {
          "type": "image_picker",
          "id": "logo_img",
          "label": "Logo Image"
        },
        {
          "type": "html",
          "id": "logo_icon",
          "label": "Logo Icon"
        }
      ]
    },
    {
      "type": "links_group",
      "name": "Links",
      "limit": 3,
      "settings": [
        {
          "type": "text",
          "id": "links_group_title",
          "label": "Menu Title"
        },
        {
          "type": "link_list",
          "id": "menu",
          "label": "Link"
        }
      ]
    },
    {
      "type": "downloads",
      "name": "Downloads",
      "settings": [
        {
          "type": "header",
          "content": "Download Button Setting"
        },
        {
          "type": "text",
          "id": "download_title",
          "label": "Download Title"
        },
        {
          "type": "html",
          "id": "down_icon",
          "label": "Download Button Icon"
        },
        {
          "type": "url",
          "id": "download_btn1",
          "label": "Download Button Url"
        },
        {
          "type": "header",
          "content": "Download Button 2 Setting"
        },
        {
          "type": "html",
          "id": "download_icon_2",
          "label": "Download Button 2 Icon"
        },
        {
          "type": "url",
          "id": "download_btn_2",
          "label": "Download Button 2 Url"
        }
      ]
    },
    {
      "type": "footer_buttons",
      "name": "Footer Buttons",
      "limit": 1,
      "settings": [
        {
          "type": "header",
          "content": "Button 1 Setting"
        },
        {
          "type": "html",
          "id": "button_icon_1",
          "label": "Button 1 Icon"
        },
        {
          "type": "text",
          "id": "button_text_1",
          "label": "Button 1 Text"
        },
        {
          "type": "url",
          "id": "button_url_1",
          "label": "Button 1 Url"
        },
        {
          "type": "header",
          "content": "Button 2 Setting"
        },
        {
          "type": "html",
          "id": "button_icon_2",
          "label": "Button 2 Icon"
        },
        {
          "type": "text",
          "id": "button_text_2",
          "label": "Button 2 Text"
        },
        {
          "type": "url",
          "id": "button_url_2",
          "label": "Button 2 Url"
        }
      ]
    },

    {
      "type": "social",
      "name": "Social link",
      "limit": 5,
      "settings": [
        {
          "type": "header",
          "content": "Social Setting"
        },
        {
          "type": "html",
          "id": "social-1",
          "label": "Social Button 1 Icon"
        },

        {
          "type": "url",
          "id": "social-url-1",
          "label": "Button 1 Url"
        },
        {
          "type": "html",
          "id": "social-2",
          "label": "Social Button 2 Icon"
        },

        {
          "type": "url",
          "id": "social-url-2",
          "label": "Button 1 Url"
        },
        {
          "type": "html",
          "id": "social-3",
          "label": "Social Button 3 Icon"
        },

        {
          "type": "url",
          "id": "social-url-3",
          "label": "Button 3 Url"
        },
        {
          "type": "html",
          "id": "social-4",
          "label": "Social Button 4 Icon"
        },

        {
          "type": "url",
          "id": "social-url-4",
          "label": "Button 4 Url"
        }
      ]
    },
    {
      "type": "copyright",
      "name": "Copyright",
      "limit": 1,
      "settings": [
        {
          "type": "text",
          "id": "copyright_text",
          "label": "Copyright Text"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "Footer"
    }
  ]
}
{% endschema %}
<script>
  $('#{{ section.id }} .accordion-button').on('click', function () {
    if (!$(this).hasClass('is-open')) {
      $('#{{ section.id }} .accordion-button.is-open').next().slideToggle();
      $('#{{ section.id }} .accordion-button.is-open').toggleClass('is-open');
    }
    $(this).toggleClass('is-open');
    $(this).next().slideToggle();
  });
</script>
